JOIN(1)

NOM
join - Fusionner les lignes de deux fichiers ayant des champs communs

SYNOPSIS
join [OPTION] ... FICHIER1 FICHIER2

DESCRIPTION

Pour chaque paire de lignes en entrée ayant des champs de fusion identiques, afficher une ligne sur la sortie standard. Par défaut, le champ de fusion est la première chaîne délimitée par un blanc. L'entrée standard est lue quand FICHIER1 ou FICHIER2 (exclusivement) vaut « - ».

-a NUMÉRO
    afficher aussi les lignes non associables du fichier NUMÉRO, où NUMÉRO peut être 1 ou 2, correspondant à FICHIER1 ou FICHIER2

-e CHAÎNE
    remplacer les champs d'entrée manquants par CHAÎNE

-i, --ignore-case
    ignorer les différences de casse lors de la comparaison des champs

-j CHAMP
    équivalent à « -1 CHAMP -2 CHAMP »

-o FORMAT
    respecter le FORMAT lors de la construction de la sortie

-t CAR
    utiliser CAR comme délimiteur de champs pour l'entrée et la sortie

-v NUMÉRO
    identique à -a NUMÉRO, mais sans afficher les lignes fusionnées

-1 CHAMP
    fusionner sur le CHAMP du fichier 1

-2 CHAMP
    fusionner sur le CHAMP du fichier 2

--check-order
    vérifier que l'entrée est triée, même si toutes les lignes en entrée peuvent être appairées

--nocheck-order
    ne pas vérifier que l'entrée est bien triée

--header
    considérer la première ligne de chaque fichier comme des champs d'en-tête, les afficher sans essayer de les apparier

-z, --zero-terminated
    le délimiteur de lignes est l’octet NULL, pas le changement de ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

À moins que -t CAR ne soit fourni, les blancs de tête séparant les champs sont ignorés, sinon les champs sont séparés par CAR. Chaque CHAMP est un champ compté numériquement à partir de 1. FORMAT est un ensemble de spécifications séparées par des virgules ou des blancs, chacune de ces spécifications étant de la forme « NUMÉRO.CHAMP » ou « 0 ». Par défaut, FORMAT affiche les champs fusionnés et les champs restants de FICHIER1 et de FICHIER2, tous étant séparés par CAR. Si FORMAT est le mot-clé « auto », alors la première ligne de chaque fichier détermine le nombre de champs affichés pour chaque ligne.

Important : les champs de FICHIER1 et FICHIER2 doivent être triés. Par exemple, utilisez « sort -k 1b,1 » si join est utilisée sans option, ou utilisez « join -t ” » si sort est utilisée sans option. Notez que les comparaisons respectent les règles indiquées par « LC_COLLATE ». Si l'entrée n'est pas triée et quelques lignes ne peuvent être fusionnées, un message d'alerte sera fourni.

AUTEUR
Écrit par Mike Haertel.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de join à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
comm(1), uniq(1)

Documentation complète : <http://www.gnu.org/software/coreutils/join>
aussi disponible localement à l’aide de la commande : info '(coreutils) join invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Thomas Huriaux <thomas.huriaux@gmail.com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.